import atexit
import logging

from rollbot import Rollbot
from command_system import RollbotMessage


rollbot = Rollbot(logging.getLogger(__name__))


def test_drive(msg, from_admin=True):
    rmsg = RollbotMessage("mock", None, None, None, None, msg)
    rmsg.from_admin = from_admin
    r =rollbot.run_command(rmsg)
    print(msg, ":", r.txt, ",", r.failure)


if __name__ == "__main__":
    [logging.disable(level) for level in [
        logging.DEBUG,
        logging.INFO,
        logging.WARN,
        logging.ERROR,
    ]]

    rollbot.start_plugins()
    atexit.register(rollbot.shutdown_plugins)

    [test_drive(msg) for msg in [
        "!session blah",
        "!session next",
        "!session next asdf",
        "!session next Sunday",
        "!session view",
        "!session cancel",
    ]]
